hxt-relaxng-9.1.4: The HXT RelaxNG validator

Safe Haskell | None

Text.XML.HXT.RelaxNG.DataTypeLibMysql

Description

Datatype library for the MySQL datatypes

Synopsis

- mysqlNS :: String
- mysqlDatatypeLib :: DatatypeLibrary

# Documentation

mysqlNS :: String Source

Namespace of the MySQL datatype library

mysqlDatatypeLib :: DatatypeLibrary Source

The main entry point to the MySQL datatype library.

The `DTC` constructor exports the list of supported datatypes and params. It also exports the specialized functions to validate a XML instance value with respect to a datatype.